/*	
	ex10.c - demonstrates line, axis and scale
*/
#ident "$Id: ex10.c,v 1.4 2007/05/22 15:33:04 ccrawford Exp $"
#include <math.h>
#include <crcplot.h>
#include <stdlib.h>

int
main()
{
	int i;
	float x[631],y[631];

	plots();
	clear();
	plot(1.0,1.0,-3);
	factor(.85);

	for(i=0;i<630;i++){	/* compute data */
		x[i] = cos(3.0 * i / 100) + 1.0;
		y[i] = sin(4.0 * i / 100);
	}

	scale(y,8.0,629,1);	/* get scaling information */
	scale(x,8.0,629,1);

	axis(0.,0.,"x axis",-6,8.,0.0,x[629],x[630]);
	axis(0.,0.,"y axis",6,8.,90.0,y[629],y[630]);
	plot(0.0,8.0,3);	/* draw border */
	plot(8.0,8.0,2);
	plot(8.0,0.0,2);
	symbol(2.5,8.5,.2,"lissajous figure",0.0,16);
	line(x,y,629,1,0,0);

	plot(0.0,0.0,999);	/* terminate plotting */
	exit(0);
}
