/*
	ex9.c - demonstrates line, axis and scale
*/
#ident "$Id: ex9.c,v 1.4 2007/05/22 15:33:04 ccrawford Exp $"
#include <crcplot.h>
#include <stdlib.h>

int
main()
{
	int i;

	static float x[] = { 
		0.,5.,15.,25.,30.,35.,40.,45.,50.,55.,60.,65.,
		70.,75.,80.,85.,90.,95.,100.,105.,110.,115.,120.,
		125.,0.,0.0};
	static float y[] = {
		0.,10.,15.,10.,-10.,-50.,-80.,-110.,-130.,-145.,
		-155.,-160.,-158.,-150.,-130.,-90.,-70.,-20.,20.,
		50.,70.,80.,85.,90.,0.0,0.0};
/*
	alter actual data sca1es
*/
	for(i=0;i<24;i++){
		x[i] = x[i] * 1000.;
		y[i] = y[i] / 1000.;
	}
/*
	initia1ize for p1otting
*/
	plots();
	clear();
	plot(1.0,.75,-3);
	factor(.85);
/*
	determine sca1ing factors
*/
	scale(x,7.,24,1);
	scale(y,9.,24,1);
/*
	plot the data
*/
	line(x,y,24,1,0,0);
/*
	draw axes
*/
	axis(0.,0.,"nanoseconds",-11,7.,0.,x[24],x[25]);
	axis(0.,0.,"millivolts",10,9.,90.,y[24],y[25]);
/*
	annotate the p1ot
*/
	symbol(.5,.5,.1,"dx = ",0.,5);
	number(999.,999.,.1,x[25],0.,3);
	number(1.,.75,.1,x[25],0.,0);
	number(1.,1.,.1,x[25],0.,-1);
	number(1.,1.25,.1,x[25],0.,-4);
	symbol(2.3,6.5,.1,"crcplot sample",0.,14);
	symbol(1.5,6.75,.2,"time v. voltage",0.,15);
/*
	end of p1otting
*/
	plot(0.,0.,999);
	exit(0);
}
