/*
plots - initialize plotting in crc plot package
*/

#ident "$Id: plots.c,v 1.3 2007/05/22 15:33:04 ccrawford Exp $"

#include <stdio.h>
#include "crcplot.h"

static int plot_open=0;	/* 1 = have open plot connection */

void exit();
char *plot_host();
int plot_port();

static void 
plots_guts()
{
	plotinit_();
	plot_open = 1;
}

static void plots_close_check(s)
char *s;
{
	if(plot_open){
		fprintf(stderr,"crcplot: %s called with active connection\n",s);
		exit(1);
	}
}

void plots_open_check(s)
char *s;
{
	if(!plot_open){
		fprintf(stderr,"crcplot: call to %s before plots\n",s);
		exit(1);
	}
}

void plots_close()
{
	plots_open_check("close");
	plot_open = 0;
}

void plots_fd(fd)
FILE *fd;
{
	plots_close_check("plots_fd");
	plot_openpl_fd(fd);
	plots_guts();
}

void plots()
{
	plots_close_check("plots");
	if(plotss()){
		fprintf(stderr,"Can't connect to xplot on host: %s port: %d\n",
			plot_host(),plot_port());
		exit(1);
	}
}

void plots_host(host)
char *host;
{
	plots_close_check("plots_host");
	if(plotss_host(host)){
		fprintf(stderr,"Can't connect to xplot on host: %s port: %d\n",
			plot_host(),plot_port());
		exit(1);
	}
}

int plotss_host(host)
char *host;
{
	plots_close_check("plotss_host");
	if(plot_openpl_host(host) == -1) return(1);
	plots_guts();
	return(0);
}

int plotss()
{
	plots_close_check("plotss");
	if(plot_openpl() == -1) return(1);
	plots_guts();
	return(0);
}

