/*
xpc - xplot control 
*/

#ident "$Id: xpc.c,v 1.4 2007/05/22 15:54:48 ccrawford Exp $"

#include <stdio.h>
#include <stdlib.h>
#include <crcplot.h>
#include <time.h>
#include <string.h>

static void 
syntax()
{
	fputs("syntax: xpc [-a annotation|-h|-p]\n",stderr);
	exit(1);
}

int
main(argc,argv)
int argc;
char **argv;
{
	char s[256];
	long clock;
	char *ctime();
	FILE *pfd,*plot_fd();
	int n;

	if(argv++,--argc){
		if(argv[0][0] == '-' && argv[0][1] == 'h'){
			plots();
			hardcopy();
		}else if(argv[0][0] == '-' && argv[0][1] == 'p'){
			plots();
			pfd = plot_fd();
			while((n = fread(s,sizeof(char),256,stdin)) > 0){
				fwrite(s,sizeof(char),n,pfd);
			}
		}else if(argv[0][0] == '-' && argv[0][1] == 'a'){
			time(&clock);
			strcpy(s,ctime(&clock));
			s[strlen(s)-1] = 0;		/* remove \n */
			strcat(s,":");

			while(argv++,--argc){
				strcat(s," ");
				strcat(s,*argv);
			}

			plots();
			symbol(0.1,0.1,.15,s,0.0,999);
		}else{
			syntax();
		}
	}else{
		plots();
		clear();
	}
	plot(0.0,0.0,999);
	exit(0);
	exit(0);
}

