/*
port_test - test port commands to xpic
*/

#ident "$Id: port_test.c,v 1.3 2007/05/22 13:22:45 ccrawford Exp $"

#include <stdio.h>
#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include "xpic_port.h"

static char *host=NULL;

int
main(argc,argv)
int argc;
char **argv;
{
	int j,i;
	short *ptr;

	if(argc > 1) host = argv[1];

	if(xpic_open(host,0)){
		fprintf(stderr,"can't connect to xpic on %s\n",host);
		exit(1);
	}

	ptr = xpic_attach();
	for(i=0;i<512;i++){
		for(j=0;j<512;j++){
			*ptr++ = i;
		}
	}

	xpic_detach();
	xpic_command("zero 0");
	xpic_wl(512,256);
	xpic_move(0,0);
	xpic_line(100,500);
	xpic_line(500,100);
	xpic_close();
	exit(0);
}
