/*
	ex6.c - dline and line example
*/
#ident "$Id: ex6.c,v 1.4 2007/05/22 15:33:04 ccrawford Exp $"
#include <crcplot.h>
#include <stdlib.h>

int
main()
{
	static float x[] = { 100.,200.,300.,400.,0.,0.};
	static float y[] = { 1.,-2.,12.,4.,0.,0.};
	static float dsh[] = { .1, .3};
	static float gap[] = { .3, .1};
/*
	initialize plotting
*/
	plots();
	clear();
/*
	reorigin the entire plot to allow the 
	axis label to be in the plottable area
*/
	plot(1.5,1.5,-3);
/*
	scale x values to a 5. inch axis and 
	y values to a 4. inch axis and plot them
*/
	scale(x,5.,4,1);
	scale(y,3.,4,1);

	axis(0.,0.,"y-axis",999,3.,90.,y[4],y[5]);
	axis(0.,0.,"x-axis",-999,5., 0.,x[4],x[5]);
	line(x,y,4,1,1,6);

	plot(0.0,4.0,-3);
	axis(0.,0.,"y-axis",999,3.,90.,y[4],y[5]);
	axis(0.,0.,"x-axis",-999,5., 0.,x[4],x[5]);
	dline(x,y,4,dsh,gap,2);
/*
	end of plotting
*/
	plot(0.,0.,999);
	exit(0);
}
