/*
aux_1 - auxiliary functions
*/

#ident "$Id: aux_1.c,v 1.7 2007/05/22 13:22:45 ccrawford Exp $"

#include "xpic.h"

int
lookup(char *s,int e)
{
	int m = -1;
	int i;

	for(i=0;i<ncom;i++) if(!strncmp(s,clist[i].name,strlen(s))){
		if(m == -1){
			m = i;
		}else if(m >= 0){
			if(e){
			    fputs("Abbreviation not unique. Matches:\n",ttyout);
				fprintf(ttyout,"%s\n",clist[m].name);
				fprintf(ttyout,"%s\n",clist[i].name);
			}
			m = -2;
		}else{
			if(e)fprintf(ttyout,"%s\n",clist[i].name);
		}
	}
	if(e && m == -1) fputs("Illegal command\n",ttyout);
	return(m);
}

void
words(char *buf,int *w_argc,char **w_argv,int wmax)
{
	static char ss[KB_BUF];
	char *s = ss;
	*w_argc = 0;

	strcpy(s,buf);

	while(1){
		while(*s == ' ' || *s == '\t') s++;
		if(*s == '\0' || *s == '\n') return;
		if(*w_argc == wmax)return;
		w_argv[(*w_argc)++] = s;
		while(*s != ' ' && *s != '\t' && *s != '\0'
			&& *s != '\n') s++;
		if(*s == '\n' || *s == '\0'){
			*s = '\0';
			return;
		}
		*s++ = '\0';
	}
}

int
check_source(char *s)
{
	if(command_src){
		fprintf(ttyout,"can't run \"%s\" from port\n",s);
		return(1);
	}else{
		return(0);
	}
}

void
pperror(char *s)
{
	fputs(s,ttyout);
	fputs(": ",ttyout);
	fputs(strerror(errno),ttyout);
	fputs("\n",ttyout);
}

void
min_abbreviation(void)
{
	int i,j;
	int l;		// length of command
	int m=-1;	// 1=match

	l = strlen(clist[cmd_num].name);

	for(j=0;j<l;j++){
		m = 0;
		for(i=0;i<ncom;i++){
			if(i == cmd_num) continue;
			if(!strncmp(clist[cmd_num].name,clist[i].name,j+1)){
				m = 1;
				break;
			}
		}
		if(m == 0) break;
	}

	fputs("Abbreviation: ",ttyout);
	if(m == 0){
		for(i=0;i<j+1;i++) fputc(clist[cmd_num].name[i],ttyout);
		fputc('\n',ttyout);
	}else if(m == -1){
		fputs("min_abbreviation internal error m=-1\n",ttyout);
	}else{
		fputs("COMMAND CANNOT BE EXECUTED\n",ttyout);
	}
}
